Skip to main content
POST
Starts an RDB import into this deployment, from an export, an .rdb file (or directory) in a backup repository, another deployment, or a redis:// address

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required
Minimum string length: 1

Body

application/json
source
object
required
mode
Available options:
merge
confirm
string
filters
object
rdbVersion
integer
Required range: 6 <= x <= 12
rollback
Available options:
auto
snapshotRepository
string
Minimum string length: 1
resources
object

Response

Default Response

name
string
required
namespace
string
required
kind
required
Available options:
export
clusterName
string
required
clusterNamespace
string
required
phase
required
Available options:
Pending
createdAt
string
required
startedAt
string
completedAt
string
createdBy
string
scheduleName
string
repository
string
path
string
node

Read from a replica when the shard has one (default), or always from the primary.

Available options:
replica
mode
Available options:
merge
source
string
sourceType
Available options:
export
files
object[]
keysImported
integer
keysSkipped
integer
rollback
object
rollbackOf
string
message
string